> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zdns/private-zone/bindprivatezonevpc.md).

# BindPrivateZoneVpc

## 1. API Description

This API (BindPrivateZoneVpc) is used to associate one or more additional VPCs with a DNS Zone.

{% hint style="info" %}
**Notes**

* If the DNS Zone is already associated with the specified VPCs, repeated calls do not return an error.
* The number of VPCs that can be associated with a DNS Zone is limited by quota. If you need more, submit a request in Service Quotas.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description                                                                                                                                          |
| -------------- | -------- | --------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- |
| zoneId         | Yes      | String          | <p>DNS Zone ID.</p><p>It can be obtained by calling <a href="/api-reference/zdns/private-zone/describeprivatezones.md">DescribePrivateZones</a>.</p> |
| vpcIds         | Yes      | Array of String | <p>List of VPCs to be associated.</p><p>It can be obtained by calling <a href="/api-reference/zec/vpc-network/describevpcs.md">DescribeVpcs</a>.</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Associate global VPCs with a DNS Zone.**

```json
POST /api/v2/zdns HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: BindPrivateZoneVpc
<Common Request Params>

Request：
{
    "zoneId": "<zoneId>",
    "vpcIds": [
        "<vpcId-1>",
        "<vpcId-2>"
    ]
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                         | Description                                                              |
| ---------------- | ---------------------------------- | ------------------------------------------------------------------------ |
| 404              | INVALID\_PRIVATE\_ZONE\_NOT\_FOUND | DNS Zone does not exist.                                                 |
| 409              | INVALID\_ZONE\_NAME\_VPC\_CONFLICT | DNS Zone conflict. The VPC is already associated with the same DNS Zone. |
